Deprecated: Get managed integrations

Base URL
https://{kibana_url}
  • GET /api/fleet/agentless_policies
Auth

Deprecated. Use GET /api/fleet/managed_integrations instead. List managed integrations

Query parameters

page number

Page number. Defaults to 1.

perPage number

Number of results per page. Defaults to 20.

sortField string · max length: 256

Field to sort results by. Defaults to updated_at.

sortOrder enum

Sort order, ascending or descending. Defaults to desc.

Values: desc asc
kuery string · max length: 4096

A KQL query string to filter results. Filtering is restricted to the following fields: name, namespace, package.name.

Responses

Indicates a successful response

application/json
items object[] · max items: 10000 required
additional_datastreams_permissions string[] · max items: 1000

Additional data stream permissions granted to the managed integration.

cloud_connector object
cloud_connector_id string · max length: 255 required

The ID of the cloud connector.

enabled boolean required

Whether the cloud connector is active for this policy.

created_at string · max length: 64 required

Creation timestamp (ISO 8601).

created_by string · max length: 1024 required

User who created the policy.

description string · max length: 2048

Managed integration description.

global_data_tags object[] · max items: 100

Custom data tags applied to all data produced by this policy.

name string · max length: 1024 required

The name of the custom field.

value union string | number required

The value of the custom field.

id string · max length: 255 required

Managed integration unique identifier.

inputs map string to object required

Package policy inputs. Refer to the integration documentation to know which inputs are available.

<string> object
condition string · max length: 10000 nullable

Agent condition expression to evaluate whether to apply this input.

deprecated object
description string · max length: 4096 required
replaced_by map string to string
<string> string · max length: 1024
since string · max length: 50
enabled boolean

Enable or disable that input. Defaults to true (enabled).

streams map string to object

Input streams. Refer to the integration documentation to know which streams are available.

<string> object
condition string · max length: 10000 nullable

Agent condition expression to evaluate whether to apply this stream.

deprecated object
description string · max length: 4096 required
replaced_by map string to string
<string> string · max length: 1024
since string · max length: 50
enabled boolean

Enable or disable that stream. Defaults to true (enabled).

var_group_selections map string to string

Variable group selections. Maps var_group name to the selected option name within that group.

<string> string · max length: 1024
vars map string to anyOf

Input/stream level variable. Refer to the integration documentation for more information.

vars map string to anyOf

Input/stream level variable. Refer to the integration documentation for more information.

name string · max length: 255 required

Managed integration name.

namespace string · max length: 100

Policy namespace. Defaults to the agent policy namespace.

package object required
name string · max length: 255 required

Integration package name.

title string · max length: 255 required

Integration package display title.

version string · max length: 50 required

Integration package version.

updated_at string · max length: 64 required

Last update timestamp (ISO 8601).

updated_by string · max length: 1024 required

User who last updated the policy.

var_group_selections map string to string

Variable group selections. Maps var_group name to the selected option name within that group.

<string> string · max length: 1024
vars map string to anyOf

Input/stream level variable. Refer to the integration documentation for more information.

page number required
perPage number required
total number required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}